package com.eactive.eai.adapter.socket2.protocol.seed;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterClient;
import com.eactive.eai.adapter.socket2.protocol.fixedheader.codec.FixedHeaderCodecFactory;
import com.eactive.eai.adapter.socket2.protocol.seed.handshake.SeedClientFilter;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class SeedClient extends TcpAdapterClient {

	public SeedClient(SocketAdapterContext context) throws Exception {
		super(context);

		this.handler = new SeedHandler(this);
		
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new FixedHeaderCodecFactory(this)));
		config.getFilterChain().addAfter("codec", "seed", new SeedClientFilter(this));
	}
}
